LibreOffice: XTableColumns Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XTableColumns Interface Referencepublished

provides methods to access columns via index and to insert and remove columns. More...

`import"XTableColumns.idl";`

Inheritance diagram for XTableColumns:

## Public Member Functions
void | insertByIndex ([in] long nIndex, [in] long nCount)
| inserts new columns. More...
void | removeByIndex ([in] long nIndex, [in] long nCount)
| deletes columns. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access columns via index and to insert and remove columns.

See also
  com::sun::star::table::TableColumns

## Member Function Documentation

void insertByIndex | ( | [in] long | nIndex,
|  | [in] long | nCount
| ) |  |

inserts new columns.

Parameters

  nIndex | is the index the first inserted column will have.
  nCount | is the number of columns to insert.

void removeByIndex | ( | [in] long | nIndex,
|  | [in] long | nCount
| ) |  |

deletes columns.

Parameters

  nIndex | is the index of the first column to delete.
  nCount | is the number of columns to delete.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XTableColumns.idl